View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000650OpenFOAM[All Projects] Bugpublic2012-09-13 19:012013-05-02 16:38
Reportermchurchf 
Assigned Tomattijs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformXeon X86OSRedHatOS Version(please specify)
Product Version2.1.x 
Target VersionFixed in Version2.2.x 
Summary0000650: functionObject of type isoSurface and cuttingPlane do not write using "outputControl timeStep"
DescriptionWhen using the functionObjects isoSurface and cuttingPlane with "outputControl" set to "timeStep" and "outputInterval" specified, directories are written and named by the time to which the time step corresponds, but no data is written to the directories.

Using "outputControl outputTime" works fine.

I am trying this with pisoFoam of version 2.1.x downloaded August 27, 2012.

I tried the same thing, to output every time step with the functionObject sets, and it worked fine. It is just the cuttingPlane and isoSurface that I cannot get to work.
TagsNo tags attached.
Attached Files? file icon controlDict [^] (2,329 bytes) 2013-03-22 21:06 [Show Content]

- Relationships

-  Notes
(0001689)
mattijs (manager)
2012-09-14 08:19

Maybe your isoSurface or list of fields is empty? Can you try e.g. the 'patch' type to sample values on a patch?
(0001690)
mchurchf (reporter)
2012-09-14 15:32

No, the list is populated. As I said, it works fine if I use the "outputControl outputTime" option. Also, sets works fine with "outputControl timeStep."

Here is how I have it set up:

      isoSurfaceData
      {
          type surfaces;
          functionObjectLibs ("libsampling.so");
          interpolationScheme cellPoint;
          outputControl timeStep;
          outputInterval 1;
          surfaceFormat vtk;
          fields ( Q );
          surfaces
          (
              isoSurface_Q
              {
                  type isoSurface;
                  isoField "Q";
                  isoValue 0.01;
                  interpolate true;
              }
          );
      }


      sliceData
      {
          type surfaces;
          functionObjectLibs ("libsampling.so");
          interpolationScheme cell;
          outputControl outputTime;
          surfaceFormat vtk;
          fields ( U p nuSgs Q);
          surfaces
          (
              slice_parallel_0
              {
                  type cuttingPlane;
                  planeType pointAndNormal;
                  pointAndNormalDict
                  {
                      basePoint (0 0 0);
                      normalVector (0 1 0);
                  }
                  interpolate true;
              }
          );
      }
(0002051)
apsus (reporter)
2013-03-22 15:56
edited on: 2013-03-22 18:59

I just ran into this bug on 2.2.0, compiled from source. It fails for all surface types I tried, including "cuttingPlane", "plane" and "patch". Everything works if "outputControl outputTime" is used.

An interesting detail is that when output format is foamFile, the grid data is written, but the field variables are not.

(0002054)
mattijs (manager)
2013-03-22 21:07

Attached a working controlDict setup for the cavity icoFoam tutorial. I get iso surfaces every timestep and slices every write interval, as expected.

My guess is your iso surface is empty in which case it probably does not write any file.
(0002059)
apsus (reporter)
2013-03-25 15:25

After I reverse to OF 2.0.1 (compiled from source), the exactly same case ran perfectly, with intended output. I think this is indeed a bug since 2.1.x.
(0002061)
mchurchf (reporter)
2013-03-25 15:28

Yes, I have observed the same behavior. Reverting back to OF 2.0.1 causes the case setup I began this issue log with to work fine. I'm pretty sure it is a bug in 2.1.x and above.

Thank you,

Matt
(0002085)
mattijs (manager)
2013-04-03 08:10

Do you have a 2.1.x or 2.2.x case that replicates this behaviour? As said I do not see any problems on an (admittedly very simple) test case.
(0002147)
mattijs (manager)
2013-05-02 16:38

Should be fixed in 351038242cb669c5bb541ccb6a692091fd5e0e60.

Thanks for reporting.

- Issue History
Date Modified Username Field Change
2012-09-13 19:01 mchurchf New Issue
2012-09-14 08:19 mattijs Note Added: 0001689
2012-09-14 15:32 mchurchf Note Added: 0001690
2013-03-22 15:56 apsus Note Added: 0002051
2013-03-22 18:59 apsus Note Edited: 0002051 View Revisions
2013-03-22 21:06 mattijs File Added: controlDict
2013-03-22 21:07 mattijs Note Added: 0002054
2013-03-25 15:25 apsus Note Added: 0002059
2013-03-25 15:28 mchurchf Note Added: 0002061
2013-04-03 08:10 mattijs Note Added: 0002085
2013-05-02 16:38 mattijs Note Added: 0002147
2013-05-02 16:38 mattijs Status new => resolved
2013-05-02 16:38 mattijs Fixed in Version => 2.2.x
2013-05-02 16:38 mattijs Resolution open => fixed
2013-05-02 16:38 mattijs Assigned To => mattijs